package cn.reghao.autodop.dmaster.machine.db.query;

import cn.reghao.autodop.dmaster.machine.model.po.MachineHost;
import cn.reghao.jdkutil.db.BaseQuery;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * @author reghao
 * @date 2021-09-15 16:35:03
 */
public interface MachineHostQuery extends BaseQuery<MachineHost> {
    MachineHost findByMachineId(String machineId);
    MachineHost findByMachineIpv4(String machineIpv4);
    Page<MachineHost> findByEnv(String env, Pageable pageable);
    List<MachineHost> findByEnv(String env);
}
